summaryrefslogtreecommitdiffstats
path: root/target/linux/brcm-2.4/base-files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2010-04-10 14:29:01 +0000
committerJo-Philipp Wich <jow@openwrt.org>2010-04-10 14:29:01 +0000
commit8f25fb608678fa9d5e785f799a21a863b9220f67 (patch)
tree35dc30c56f232d82609a417d7368114066cbf4c0 /target/linux/brcm-2.4/base-files
parent3491026cbb6f1ad55c8b4cc63f0c3548028ce2a4 (diff)
downloadmaster-31e0f0ae-8f25fb608678fa9d5e785f799a21a863b9220f67.tar.gz
master-31e0f0ae-8f25fb608678fa9d5e785f799a21a863b9220f67.tar.bz2
master-31e0f0ae-8f25fb608678fa9d5e785f799a21a863b9220f67.zip
add script to fixup the wireless mac (#7102)
SVN-Revision: 20775
Diffstat (limited to 'target/linux/brcm-2.4/base-files')
-rwxr-xr-xtarget/linux/brcm-2.4/base-files/etc/init.d/wmacfixup33
1 files changed, 33 insertions, 0 deletions
diff --git a/target/linux/brcm-2.4/base-files/etc/init.d/wmacfixup b/target/linux/brcm-2.4/base-files/etc/init.d/wmacfixup
new file mode 100755
index 0000000000..ee1b752201
--- /dev/null
+++ b/target/linux/brcm-2.4/base-files/etc/init.d/wmacfixup
@@ -0,0 +1,33 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2010 OpenWrt.org
+
+START=41
+
+boot() {
+ [ -d /sys/class/ieee80211 ] || exit
+
+ commit=0
+
+ fixup_wmac() {
+ local cfg="$1"
+ local cfmac
+
+ config_get cfmac "$cfg" macaddr
+
+ [ "$cfmac" != "00:90:4c:5f:00:2a" ] || {
+ local nvmac="$(nvram get il0macaddr 2>/dev/null)"
+ [ -n "$nvmac" ] && [ "$nvmac != "$cfmac ] && {
+ uci set wireless.$cfg.macaddr="$nvmac"
+ commit=1
+ }
+ }
+ }
+
+ config_load wireless
+ config_foreach fixup_wmac wifi-device
+
+ [ "$commit" = 1 ] && uci commit wireless
+}
+
+start() { :; }
+stop() { :; }